---
all:
  children:
    vault:
      hosts:
        molecule--debian-12--instance-1--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-2--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-3--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
    local:
      hosts:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
    cicd-debian-12:
      hosts:
        molecule--debian-12--instance-1--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-2--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-3--playbook--deploy-k3s-cluster:
    cicd-ubuntu-24:
      hosts:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
    role-install-docker:
      hosts:
        molecule--debian-12--instance-1--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-2--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-3--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
    role-install-k3s:
      hosts:
        molecule--debian-12--instance-1--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-2--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-3--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
    role-prepare-host:
      hosts:
        molecule--debian-12--instance-1--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-2--playbook--deploy-k3s-cluster:
        molecule--debian-12--instance-3--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-1--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-2--playbook--deploy-k3s-cluster:
        molecule--ubuntu-24--instance-3--playbook--deploy-k3s-cluster:
